pcl::PPFRGBSignature Struct Reference
Module common

A point structure for storing the Point Pair Color Feature (PPFRGB) values. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

float | f1
float | f2
float | f3
float | f4
float | r_ratio
float | g_ratio
float | b_ratio
float | alpha_m

## Friends

std::ostream & | operator<< (std::ostream &os, const PPFRGBSignature &p)

## Detailed Description

A point structure for storing the Point Pair Color Feature (PPFRGB) values.

Definition at line 1226 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PPFRGBSignature & | p
| ) |  |

friend

## Member Data Documentation

## alpha_m

float pcl::PPFRGBSignature::alpha_m

Definition at line 1230 of file point_types.hpp.

## b_ratio

float pcl::PPFRGBSignature::b_ratio

Definition at line 1229 of file point_types.hpp.

## f1

float pcl::PPFRGBSignature::f1

Definition at line 1228 of file point_types.hpp.

## f2

float pcl::PPFRGBSignature::f2

Definition at line 1228 of file point_types.hpp.

## f3

float pcl::PPFRGBSignature::f3

Definition at line 1228 of file point_types.hpp.

## f4

float pcl::PPFRGBSignature::f4

Definition at line 1228 of file point_types.hpp.

## g_ratio

float pcl::PPFRGBSignature::g_ratio

Definition at line 1229 of file point_types.hpp.

## r_ratio

float pcl::PPFRGBSignature::r_ratio

Definition at line 1229 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp